/*!
* @file dip_rec.h
*
* @brief content all definitions for Distribution Records
*
* @details --
*
* @cond Copyright
* (c) Copyright 2013 MILLIPORE Corporation unpublished work.
* This computer program includes Confidential, Proprietary Information
* and is a Trade Secret of MILLIPORE corporation.
* All use, disclosure, and/or reproduction is prohibited
* unless authorized in writing.
* All rights reserved.
* @endcond
*
* @cond SVN
* $Id:: dip_rec.c 520 2014-07-25#$: FileName
* $Rev:: 520                     $: Revision of last commit
* $Author:: m175711              $: Author of last commit
* $Date:: 2014-07-25 17:24:55 +0#$: Date of last commit
* $URL: svn://frgu1w0001/Large2/Large2-process_board/branches/AFS/dev/sources/millipore/application/distribution/src/dip_rec.c $: URL of this file
* @endcond
*
*/

/* Includes ------------------------------------------------------------------*/
#include "millipore_types.h"
#include "dip_rec.h"
/*!
 *  @defgroup Dip_rec Distribution records
 *  @brief Contains all records needs for Distribution module
 *  @ingroup Distribution
 *  @{
 */
/* Declarations --------------------------------------------------------------*/

/*! Record data structure - Do not touch */
Dip_Record_t g_DipRecData;

/*! Working record data structure */
Dip_Record_t g_DipRecWorkingData;

/*! Default data */
CONST Dip_Record_t g_DipRecDefaultData=
{
   DIP_MODE_STANDBY_OLD_PACK,
   FALSE
};


/*!
 * Record defintion
 */
CONST SYS_RecordDef_t g_DipSysRecordDef=
{
   .dwRecSize=DIP_REC_SIZE,
   .pRecData=(VOID*)&g_DipRecData,
   .pWorkingData=(VOID*)&g_DipRecWorkingData,
   .pDefaultData=(VOID*)&g_DipRecDefaultData,
   .isIncrementalRecord=FALSE,
   .pGetRecSize=0U,
   .pGetRecNbr=0U
};

/*!
 *  @}
 */

/******* (C) COPYRIGHT 2011 MILLIPORE Corporation ***** End Of File ***********/

