/*!
 * @file main.c
*
* @brief Main entry point
*
* @details Contain main  starting stuf
*
* @cond Copyright
* (c) Copyright 2013 MILLIPORE Corporation unpublished work.
* This computer program includes Confidential, Proprietary Information
* and is a Trade Secret of MILLIPORE corporation.
* All use, disclosure, and/or reproduction is prohibited
* unless authorized in writing.
* All rights reserved.
* @endcond
*
* @cond SVN
* $Id:: main.c 637 2014-11-14#$: Filename
* $Rev:: 637                  $: Revision of last commit
* $Author:: x157168           $: Author of last commit
* $Date:: 2014-11-14 11:01:41#$: Date of last commit
* $URL: svn://frgu1w0001/Large2/Large2-process_board/branches/AFS/dev/sources/millipore/application/helper/main.c $: URL of this file
* @endcond
*
*/

/* Includes ------------------------------------------------------------------*/
#include "millipore_types.h"
#include "os_adaptation.h"
#include "sys_log.h"
#include "sys_api.h"

#if defined TEST_WATCHDOG && !defined NDEBUG
extern BOOL g_isSysTestWd;
#endif

/*!
 * @ingroup Main
 *
 * @{
 */

/* Declarations ------------------------------------------------------------- */

/* Code --------------------------------------------------------------------- */

/*!
 *
 * @brief   Main entry point
 *
 */
void main( void )
{
   /*! Quadros initialization, with message queue  */
   OS_Init(OS_INIT_STATIC_MSG);

   /*! start watch dog */
   SYS_WatchdogInit();

   while ( INFINITE_LOOP )
   {
      /*! Refresh watchdog */
#if defined TEST_WATCHDOG && !defined NDEBUG
      if(FALSE==g_isSysTestWd)
#endif
      SYS_RefreshWatchdog();
#ifdef INCLUDE_SYS_MEAS_CPULOAD
      SYS_CpuLoadCompute();
#endif //INCLUDE_SYS_MEAS_CPULOAD
   }
}


#ifdef NDEBUG
/*!
 *
 * @brief  Test task stub
 *        Inlcude on release software.
 *
 */
ATTRIBUTE_TASK void DIL_Test_Task(void)
{
   OS_TaskTerminate(OS_SELFTASK);
}
#endif
/*!
 *  @}
 */

/******* (C) COPYRIGHT 2011 MILLIPORE Corporation ***** End Of File ***********/

